
Figure - Bug #117150
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开微信app，进入recent界面，点击微信右上角小窗标志，再进入recent界面，
出现微信小窗和小窗卡片微信
2023-03-24 15:21 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date: 2023-04-04

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-20

Test Type: ST Root cause: 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

Description

【前提条件】

1、设备已开机

2、下载微信app

【测试步骤】

1、打开微信

2、进入recent，点击微信右上角小窗标志

3、再次进入recent，观察屏幕

【预期结果】

3、正常显示

【实际结果】

3、出现微信小窗和小窗卡片微信

History

#1 - 2023-03-28 10:37 - CD FW-鲁凯峰

- Due date set to 2023-04-04

#2 - 2023-03-28 10:46 - CD FW-鲁凯峰

finish微信后,微信会自己重新启动,导致的问题

跟#116482一起处理,新的方案不会在finish activity,而是会保持原来的状态,不存在多个显示的问题

#3 - 2023-03-28 14:53 - CDTS_Test 吴诗雨

- File 03281434.txt added

- File 03281445.txt added

- File 20230328-145249.jpg added

- File 20230328-145328.png added
版本：0328release版本

情况：打开QQ浏览器，切换成小窗模式，切换成mini，进入后台，重复以上步骤，保持有app是小窗的状态切换桌面和recent界面之间。

切换到桌面的时候，在QQ浏览器小窗还没有在主页面显示之前，再次进入recent界面，有极大可能QQ浏览器仍以小窗的状态显示，而不是小窗卡片，同

时后台会有一个小窗模式，一个后台卡片出现。

#4 - 2023-03-28 14:54 - CDTS_Test 吴诗雨

- File deleted (03281434.txt)

#5 - 2023-04-04 11:25 - CD FW-鲁凯峰

产生问题的原因是由于，在进入Recent后把当前Task又设置成可见状态了.

目前有个初版 正在验证中

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/184229

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/190686

#6 - 2023-04-19 15:14 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-20

- Root cause set to 依赖强制小窗功能，强制小窗的功能已经投入

Hi 诗雨

该问题依赖强制小窗功能

强制小窗的功能已经投入，请帮忙重新验证此问题，谢谢

#7 - 2023-04-19 17:28 - CDTS_Test 吴诗雨

- File 20230419-172608.jpg added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-鲁凯峰

验证版本：0419DB

验证情况：

1、桌面有多个APP，打开多个APP，在recent界面不断切换不同APP的小窗，出现后台有两个小窗的情况。

2、图中出现未消失的小窗是UC浏览器。

3、微信作为强制小窗开启，暂未出现标题情况。

备注：

该bug同时跟踪多个小窗的情况，故reopen

#8 - 2023-04-19 20:52 - CD FW 曹覃刚

- Status changed from VERIFY_FAILED to ASSIGNED

- Resolution deleted (FIXED)

#9 - 2023-04-19 20:56 - CD FW 曹覃刚
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

Hi 诗雨

在recent界面不断切换不同APP的小窗，出现后台有两个小窗的情况。

该问题和 #117576 看现象是同件问题，请确认是否一致

一致的话 我们将以同件关闭

#10 - 2023-04-20 11:31 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

Hi 覃刚

在recent界面切换有小窗按钮的应用后，不仅recent界面出现两个小窗，返回主界面后仍是两个小窗在界面上。

#117576看情况应该是在recent界面点击dock栏的强制小窗，出现两个小窗，应该不是同一件问题。

#11 - 2023-04-21 17:34 - CD FW 曹覃刚

■ 当前的状态

做了一个修复方案，但是改动量比较大

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/184229

编译了VB，测试同学(方永红)在帮忙验证中

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230421/202304211123-3384

■ 下一步计划

待验证结果

验证OK，入库关票

验证NG，优化修复方案

#12 - 2023-04-23 16:19 - CD FW 曹覃刚

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#13 - 2023-05-04 20:20 - CD FW-鲁凯峰

根据之前讨论的方案,正在考虑将小窗移到后台,不在finish. 

目前还在编码中

#14 - 2023-05-10 21:00 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution set to FIXED

- Root cause changed from 依赖强制小窗功能，强制小窗的功能已经投入 to 采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之

前的小窗

■ Current conclusion

2025-07-04 3/4

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/184229


问题已经解决

■ My analysis

采用新的方案,不在将之前的小窗删除,只是隐藏小窗,当登录返回时,重新显示之前的小窗

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196923

#15 - 2023-05-11 19:10 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

验证通过，关闭bug

#16 - 2023-05-11 19:11 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

20230324-152040.mp4 4.7 MB 2023-03-24 CDTS_Test 吴诗雨

03281445.txt 7.24 MB 2023-03-28 CDTS_Test 吴诗雨

20230328-145249.jpg 162 KB 2023-03-28 CDTS_Test 吴诗雨

20230328-145328.png 1.11 MB 2023-03-28 CDTS_Test 吴诗雨

20230419-172608.jpg 131 KB 2023-04-19 CDTS_Test 吴诗雨
